# TMR_AntennaMap Struct Reference

`#include <tmr_serial_reader.h>`

List of all members.

## Public Attributes

uint8_t | antenna
uint8_t | txPort
uint8_t | rxPort

## Detailed Description

Mapping between an arbitrary "antenna" number and a TX/RX port pair. Not all TX/RX pairings are valid for a device.

## Member Data Documentation

uint8_t TMR_AntennaMap::antenna

The antenna number - an arbitrary value.

uint8_t TMR_AntennaMap::rxPort

The device antenna port to use for reception.

uint8_t TMR_AntennaMap::txPort

The device antenna port to use for transmission.

The documentation for this struct was generated from the following file:

- tmr_serial_reader.h